Package ru.bitel.bgbilling.kernel.task.common.bean

# Class LightweightTaskData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `TaskData`

    public class LightweightTaskData
    extends IdTitle

Базовый бин для задачи планировщика. Используется для отображения/редактирования задачи в клиенте биллинга, т.к. нет необходимости грузить с сервера большой объект TaskData - это и лишняя память и передаваемый траффик по сети.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `className` |
  `protected java.lang.String` | `comment` |
  `protected int` | `day` |
  `protected int` | `dayOfWeek` |
  `protected int` | `hour` |
  `protected boolean` | `isPlugin` |
  `protected long` | `min` |
  `protected int` | `moduleId` |
  `protected java.lang.String` | `moduleName` |
  `protected int` | `month` |
  `protected java.lang.String` | `params` |
  `protected Period` | `period` |
  `protected int` | `priority` |
  `protected int` | `status` | Deprecated.
  `protected TaskStatus` | `taskStatus` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LightweightTaskData()` |
  `LightweightTaskData​(int month, int day, int hour, int dayOfWeek, long min)` |
  `LightweightTaskData​(int id, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getClassName()` |
  `java.lang.String` | `getComment()` |
  `int` | `getDay()` |
  `int` | `getDayOfWeek()` |
  `java.lang.String` | `getDependModuleId()` |
  `java.lang.String` | `getDependModuleName()` |
  `java.lang.String` | `getDependTaskClass()` |
  `java.lang.String` | `getDependTaskParams()` |
  `java.lang.String` | `getDependTaskTitle()` |
  `int` | `getHour()` |
  `long` | `getMin()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getModuleName()` |
  `int` | `getMonth()` |
  `java.lang.String` | `getParams()` |
  `Period` | `getPeriod()` |
  `int` | `getPriority()` |
  `int` | `getStatus()` | Deprecated.
  `TaskStatus` | `getTaskStatus()` | Получение статуса задачи.
  `boolean` | `isPlugin()` |
  `void` | `setClassName​(java.lang.String className)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDay​(int day)` |
  `void` | `setDayOfWeek​(int dayOfWeek)` |
  `void` | `setDependModuleId​(java.lang.String dependModuleId)` |
  `void` | `setDependModuleName​(java.lang.String dependModuleName)` |
  `void` | `setDependTaskClass​(java.lang.String dependTaskClass)` |
  `void` | `setDependTaskParams​(java.lang.String dependTaskParams)` |
  `void` | `setDependTaskTitle​(java.lang.String dependTaskTitle)` |
  `void` | `setHour​(int hour)` |
  `void` | `setMin​(long min)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setModuleName​(java.lang.String moduleName)` |
  `void` | `setMonth​(int month)` |
  `void` | `setParams​(java.lang.String params)` |
  `void` | `setPeriod​(Period period)` |
  `void` | `setPlugin​(boolean isPlugin)` |
  `void` | `setPriority​(int priority)` |
  `void` | `setStatus​(int status)` | Deprecated.
  `void` | `setTaskStatus​(TaskStatus taskStatus)` | Установка статуса задачи.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### month

    protected int month

  - ### day

    protected int day

  - ### hour

    protected int hour

  - ### dayOfWeek

    protected int dayOfWeek

  - ### min

    protected long min

  - ### className

    protected java.lang.String className

  - ### isPlugin

    protected boolean isPlugin

  - ### moduleId

    protected int moduleId

  - ### moduleName

    protected java.lang.String moduleName

  - ### priority

    protected int priority

  - ### status

    @Deprecated protected int status
    Deprecated.

  - ### taskStatus

    protected TaskStatus taskStatus

  - ### params

    protected java.lang.String params

  - ### period

    protected Period period

  - ### comment

    protected java.lang.String comment

- ## Constructor Details

  - ### LightweightTaskData

    public LightweightTaskData()

  - ### LightweightTaskData

    public LightweightTaskData​(int id, java.lang.String title)

  - ### LightweightTaskData

    public LightweightTaskData​(int month, int day, int hour, int dayOfWeek, long min)

- ## Method Details

  - ### getMonth

    public int getMonth()

  - ### setMonth

    public void setMonth​(int month)

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay​(int day)

  - ### getHour

    public int getHour()

  - ### setHour

    public void setHour​(int hour)

  - ### getDayOfWeek

    public int getDayOfWeek()

  - ### setDayOfWeek

    public void setDayOfWeek​(int dayOfWeek)

  - ### getMin

    public long getMin()

  - ### setMin

    public void setMin​(long min)

  - ### getClassName

    public java.lang.String getClassName()

  - ### setClassName

    public void setClassName​(java.lang.String className)

  - ### isPlugin

    public boolean isPlugin()

  - ### setPlugin

    public void setPlugin​(boolean isPlugin)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getModuleName

    public java.lang.String getModuleName()

  - ### setModuleName

    public void setModuleName​(java.lang.String moduleName)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority​(int priority)

  - ### getStatus

    @Deprecated public int getStatus()
    Deprecated.
    Использовать `getTaskStatus()`
    Returns:

  - ### setStatus

    @Deprecated public void setStatus​(int status)
    Deprecated.
    Использовать `setTaskStatus(TaskStatus)`
    Parameters:
      `status` -

  - ### getTaskStatus

    public TaskStatus getTaskStatus()
    Получение статуса задачи. Возможные значения:
    - `TaskStatus.ENABLE` - задача включена
    - `TaskStatus.DISABLE` - задача выключена
    Returns:
      the taskStatus

  - ### setTaskStatus

    public void setTaskStatus​(TaskStatus taskStatus)
    Установка статуса задачи. Возможные значения:
    - `TaskStatus.ENABLE` - задача включена
    - `TaskStatus.DISABLE` - задача выключена
    Parameters:
      `taskStatus` - the taskStatus to set

  - ### getParams

    public java.lang.String getParams()

  - ### setParams

    public void setParams​(java.lang.String params)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod​(Period period)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDependModuleId

    public java.lang.String getDependModuleId()

  - ### setDependModuleId

    public void setDependModuleId​(java.lang.String dependModuleId)

  - ### getDependModuleName

    public java.lang.String getDependModuleName()

  - ### setDependModuleName

    public void setDependModuleName​(java.lang.String dependModuleName)

  - ### getDependTaskClass

    public java.lang.String getDependTaskClass()

  - ### setDependTaskClass

    public void setDependTaskClass​(java.lang.String dependTaskClass)

  - ### getDependTaskTitle

    public java.lang.String getDependTaskTitle()

  - ### setDependTaskTitle

    public void setDependTaskTitle​(java.lang.String dependTaskTitle)

  - ### getDependTaskParams

    public java.lang.String getDependTaskParams()

  - ### setDependTaskParams

    public void setDependTaskParams​(java.lang.String dependTaskParams)